Name:           python-h5netcdf
Version:        1.3.0
Release:        %mkrel 1
Summary:        netCDF4 via h5py
Group:          Sciences/Physics

License:        BSD
URL:            https://pypi.org/project/h5netcdf/
Source:         %{pypi_source h5netcdf}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3dist(netcdf4)


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A Python interface for the netCDF4 file-format that reads and writes local
or remote HDF5 files directly via h5py or h5pyd, without relying on the Unidata
netCDF library.}


%description %_description

%package -n     python3-h5netcdf
Summary:        %{summary}

%description -n python3-h5netcdf %_description


%prep
%autosetup -p1 -n h5netcdf-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files h5netcdf


%check
%pyproject_check_import


%files -n python3-h5netcdf -f %{pyproject_files} 


%changelog
* Thu Mar 28 2024 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2052984
- new version 1.3.0

* Sun Jan 28 2024 papoteur <papoteur> 1.2.0-3.mga10
+ Revision: 2035666
- rebuild for python 3.12
- rebuild for python 3.12

* Fri Sep 01 2023 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 1983264
- imported package python-h5netcdf

